Name:                stringtemplate4
Version:             4.3.4
Release:             1
Summary:             A Java template engine
License:             BSD
URL:                 http://www.stringtemplate.org/
Source0:             https://github.com/antlr/stringtemplate4/archive/ST4-%{version}/%{name}-%{version}.tar.gz
BuildRequires:       maven-local mvn(junit:junit) mvn(org.antlr:antlr-runtime) >= 3.5.2
BuildRequires:       mvn(org.antlr:antlr3-maven-plugin) >= 3.5.2
BuildArch:           noarch

%description
StringTemplate is a java template engine (with ports for
C# and Python) for generating source code, web pages,
emails, or any other formatted text output. StringTemplate
is particularly good at multi-targeted code generators,
multiple site skins, and internationalization/localization.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -p1 -n %{name}-ST4-%{version}

%pom_remove_parent
sed -i '/tmpdir =/s,;,+"/"&,' test/org/stringtemplate/v4/test/BaseTest.java
sed -i /testUnknownNamedArg/s/@Test// test/org/stringtemplate/v4/test/TestGroups.java
sed -i /testMissingImportString/s/@Test// test/org/stringtemplate/v4/test/TestGroupSyntaxErrors.java
rm -r test/org/stringtemplate/v4/test/TestEarlyEvaluation.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Apr 12 2024 dongjiao <dongjiao@kylinos.cn> - 4.3.4-1
- Upgrade to version 4.3.4

* Fri May 20 2022 Ge Wang <wangge20@h-partners.com> - 4.3.3-1
- Upgrade to version 4.3.3

* Wed Jul 29 2020 leiju <leiju4@huawei.com> - 4.0.8-1
- Package init
